---
updatedAt: 2025-04-29T09:34:09.000Z
agentTools:
  projectIndex: https://developers.wingify.com/v2/llms.txt
---

# Delete a campaign variation

Request URI for Sub Account

```
DELETE /accounts/40505/campaigns/7/variations/1
```

<HTMLBlock>{`
<div></div>

<style></style>
`}</HTMLBlock>

Delete a campaign variation

> ❗️ Note
>
> > Please ensure that variation ID is serial. For example, if you have variations with ids 1,2,3 and you delete variation ID 2, now you would have the variation ids 1, 2, whereas 3 would be updated to 2. So, issue a GET /variations after the delete which would return the updated variations.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "api",
    "version": "4"
  },
  "servers": [
    {
      "url": "https://app.wingify.com/api/v2"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "header",
        "name": "token"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/accounts/{account_id}/campaigns/{campaign_id}/variations/{variation_id}": {
      "delete": {
        "summary": "Delete a campaign variation",
        "description": "",
        "operationId": "remove-a-specific-campaign-variation",
        "parameters": [
          {
            "name": "account_id",
            "in": "path",
            "description": "Use 'current' keyword to refer to the Main Workspace or the Integer Workspace Id",
            "required": true,
            "schema": {
              "type": "string",
              "default": "current"
            }
          },
          {
            "name": "campaign_id",
            "in": "path",
            "description": "Campaign Id",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "variation_id",
            "in": "path",
            "description": "Use sectionId,variationId for the MULTIVARIATE campaign",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "204": {
            "description": "204",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": ""
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```